---

- name: Create database backup script
  template:
    src: database-backup.sh.j2
    dest: /usr/local/bin/database-backup.sh
    mode: 0755
    owner: root
    group: root

- name: Create database backup service
  copy:
    src: database-backup.service
    dest: /etc/systemd/system/database-backup.service
    mode: 0644
    owner: root
    group: root
  notify:
    - Reload systemd daemon

- name: Create database backup timer
  copy:
    src: database-backup.timer
    dest: /etc/systemd/system/database-backup.timer
    mode: 0644
    owner: root
    group: root
  notify:
    - Reload systemd daemon

- name: Flush handlers
  meta: flush_handlers

- name: Enable Database Backup timer
  systemd:
    name: database-backup.timer
    state: started
    enabled: yes
  notify:
    - Reload systemd daemon
